using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp17
{
    internal class Program
    {
        static void Main(string[] args)
        {
            bool da = false;
            string[] input = Console.ReadLine().Split(' ');
            int N = int.Parse(input[0]);
            int L = int.Parse(input[1]); 
            int[] niz = new int[N];
            string[] numbers = Console.ReadLine().Split(' ');

            for (int i = 0; i < N; i++)
            {
                niz[i] = int.Parse(numbers[i]);
            }
            for (int i = 0; i < niz.Length; i++)
            {
                if (niz[i] <= L)
                {
                    Console.WriteLine(i + 1);
                    da = true;
                    break;
                }
            }
            if(da == false)
            {
                Console.WriteLine(-1);
            }
        }
    }
}